Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# DistributedCameraOV Class Reference

Inherits direct::distributed::DistributedObjectOV::DistributedObjectOV.

List of all members.

## Public Member Functions
def | __init__
def | addFixture
def | b_setFixtures
def | blinkFixture
def | d_setFixtures
def | delete
def | getObject
def | loadFromFile
def | refreshFixture
def | removeFixture
def | saveFixture
def | setCamParent
def | setFixtures
def | standbyFixture
def | startRecording
def | stopRecording
def | storeToFile
def | testFixture
def | unpackFixture
## Public Attributes
| fixtures
| parent

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | cr
| ) |  |

## Member Function Documentation

def addFixture | ( |  | self,
|  |  | fixture,
|  |  | index = `None`
| ) |  |

def b_setFixtures | ( |  | self,
|  |  | fixtures
| ) |  |

def blinkFixture | ( |  | self,
|  |  | index
| ) |  |

def d_setFixtures | ( |  | self,
|  |  | fixtures
| ) |  |

def delete | ( |  | self | ) |

def getObject | ( |  | self | ) |

def loadFromFile | ( |  | self,
|  |  | name
| ) |  |

def refreshFixture | ( |  | self,
|  |  | id,
|  |  | data
| ) |  |

def removeFixture | ( |  | self,
|  |  | index
| ) |  |

def saveFixture | ( |  | self,
|  |  | index = `None`
| ) |  |

    Position the camera with ~oobe, then call this to save its telemetry.

def setCamParent | ( |  | self,
|  |  | doId
| ) |  |

def setFixtures | ( |  | self,
|  |  | fixtures
| ) |  |

def standbyFixture | ( |  | self,
|  |  | index
| ) |  |

def startRecording | ( |  | self | ) |

def stopRecording | ( |  | self | ) |

def storeToFile | ( |  | self,
|  |  | name
| ) |  |

def testFixture | ( |  | self,
|  |  | index
| ) |  |

def unpackFixture | ( |  | self,
|  |  | data
| ) |  |

## Member Data Documentation

fixtures

parent

All Classes Namespaces Functions Variables Enumerations Enumerator Properties